# Miscellaneous

size_t GetLine(FILE *File, char *Line, int count)

  Reads single line from file.

  Parameters:

    - File – File descriptor to read from.

    - Line – Buffer where t ostore result.

    - count – Maximal length of text which can be stored in buffer.

  Returns:

    Length of read line, -1 on error.

const char *GetGammuVersion(void)

  Gets Gammu library version.

const char *GetCompiler(void)

  Gets compiler which was used to compile Gammu library.

const char *GetOS(void)

  Gets host OS.

const char *GetGammuLocalePath(void)

  Returns path to Gammu locales.

void GSM_InitLocales(const char *path)

  Initializes locales. This sets up things needed for proper string conversion from local charset as well as initializes gettext based translation.

  Parameters:

    - path – Path to gettext translation. If NULL compiled in default is used.

void EncodeHexBin(char *dest, const unsigned char *src, size_t len)

  Encodes text to hexadecimal binary representation.

gboolean GSM_IsNewerVersion(const char *latest_version, const char *current_version)

  Returns TRUE if firmware version is newer.

  Parameters:

    - latest_version – String containing version (eg. latest available).

    - current_version – String containing version (eg. current one).

  Returns:

    True if latest_version > current_version.